:root {
    --primary_color: #4d41bd;
    --secondary_color: #868686;
    --white_color: #ffffff;
    --white_off: #ffffff;
    --black_color: #000000;
    --bg_sections: #101010;
    --primary_font: 'Inter', sans-serif;
    /* ================= */
    --transition: 0.3s ease;
    --raduis: 12px;
    --danger_color: #ad363b;
    --bg_danger: #5c1a12a4;
    --border_color: rgba(255, 255, 255, 0.12);
}

.logo_site {
    width: 80px;
}

#navbar {
    background: transparent;
    padding: 0;
    backdrop-filter: blur(15px);
}

.navbar-brand {
    font-size: 50px;
    font-weight: 700;
    letter-spacing: -5px;
}

#nav_item {
    font-weight: 15px;
    text-transform: uppercase;
    color: var(--primary_color);
    font-weight: 700;
    padding: 5px 0;
    position: relative;
    letter-spacing: -1px;
}

#nav_item::before {
    content: "";
    position: absolute;
    left: 50%;
    transform: translateX(-50%);
    bottom: 0;
    height: 3px;
    width: 0;
    transition: var(--transition);
    background: var(--secondary_color);
}

#nav_item.active {
    color: var(--secondary_color);
}

#nav_item:hover {
    color: var(--secondary_color);
}

#nav_item.active::before,
#nav_item:hover::before {
    width: 100%;
}


.nav_icon {
    outline: 0;
    border: 0;
    text-decoration: none;
    color: var(--white_off);
    font-size: 20px;
    line-height: 0.3rem;
    display: flex;
    align-items: center;
    justify-content: center;
    background: transparent;
    width: 30px;
    height: 30px;
    position: relative;
    transition: var(--transition);
}

.nav_icon:hover {
    transform: translateY(-5px);
    color: var(--primary_color);
}

.badge_count {
    position: absolute;
    display: inline-flex;
    top: -3px;
    right: -3px;
    color: var(--white_color);
    background: var(--primary_color);
    border-radius: 50%;
    align-items: center;
    justify-content: center;
    width: 18px;
    height: 18px;
    font-size: 9px;
    font-weight: 800;
}

.dropdown-menu.drop_account {
    /* border: 1px solid var(--border_color); */
    /* background: var(--white_color); */
    /* border-radius: 0 0 calc(var(--raduis) * 0.5) calc(var(--raduis) * 0.5); */
    padding: 0;
    left: 50% !important;
    transform: translateX(-50%);
    top: 55px;
    overflow: hidden;
    position: absolute;


    border-radius: 14px;
    border: 1px solid rgba(255, 255, 255, 0.12);
    background: rgba(16, 16, 16, 0.774);
    /* background: rgba(255, 255, 255, 0.212); */
    backdrop-filter: blur(20px);
}

.dropdown-menu {
    border-top: 0 !important;
}

.dropdown-item {
    color: var(--white_off);
    font-size: 14px;
    font-weight: 500;
    border-bottom: 1px solid var(--border_color);
    padding: 8px;
}

.dropdown-menu li:last-child .dropdown-item {
    border: 0;
}

.dropdown-item:hover {
    background: var(--black_color);
    color: var(--primary_color);
}

.dropdown-item.logout_text {
    color: var(--danger_color);
}

.dropdown-item.logout_text:hover {
    background: var(--bg_danger);
}

.dropdown-item i {
    line-height: 0.3rem;
    color: var(--primary_color);
}

.dropdown-item.logout_text i {
    color: var(--danger_color);
}


.popup_modal {
    position: fixed;
    display: flex;
    align-items: center;
    justify-content: center;
    align-content: center;
    inset: 0;
    width: 100%;
    height: 100%;
    z-index: 999999999;
    opacity: 0;
    backdrop-filter: blur(20px);
    visibility: hidden;
}

.popup_modal::before {
    content: "";
    position: absolute;
    inset: 0;
    width: 100%;
    height: 100%;
    /* background: var(--black_color); */
    background: rgba(16, 16, 16, 0.774);
    z-index: -1;
    cursor: url('../Img/cursor_x.png'), auto;
    opacity: 0.9;
}

.search_modal.show {
    opacity: 1;
    visibility: visible;
}

.widget_modalsearch {
    border-radius: var(--raduis);
    background: var(--bg_sections);
    padding: 20px;
    max-width: 550px;
    width: 100%;
}

.modal_title {
    color: var(--white_color);
    font-size: 16px;
    font-weight: 600;
    margin: 0;
}

.btn_closeModal_result {
    font-size: 16px;
    color: var(--danger_color);
    line-height: 0.3rem;
    background: transparent;
    border: 0;
    outline: 0;
}

.form_modal {
    position: relative;
    border-radius: var(--raduis);
}

.form_modal .form-control {
    box-shadow: none !important;
    border: 1px solid var(--border_color);
    height: 50px;
    font-size: 15PX;
    font-weight: 600;
    color: var(--primary_color);
    padding-right: 60px;
}

.form_modal .form-control:focus {
    border-color: var(--secondary_color);
}

.form_modal .form-control:focus+button {
    border-color: var(--secondary_color);
}

.btn_modalSearch {
    position: absolute;
    top: 50%;
    right: 0;
    transform: translateY(-50%);
    border: 0;
    outline: 0;
    color: var(--secondary_color);
    background: transparent;
    width: 50px;
    height: 40px;
    display: flex;
    align-items: center;
    justify-content: center;
    line-height: 0.3rem;
    border-left: 1px solid var(--border_color);
}

.result_modal {
    margin: 15px 0;
    padding: 0;
    max-height: 400px;
    overflow-y: auto;
    border: 1px solid var(--border_color);
    border-radius: var(--raduis);
    display: none;
}

.resultModal_item:not(:last-child) {
    border-bottom: 1px solid var(--border_color);
}

.resultModal_item {
    padding: 10px;
    display: flex;
    align-items: center;
    gap: 10px;
    cursor: pointer;
    position: relative;
}

.no_result {
    display: none;
    color: var(--danger_color);
    cursor: no-drop;
    background: var(--bg_danger);
}

.resultModal_item:hover {
    background: var(--bg_white);
}

.resultModal_item img {
    width: 50px;
    height: 50px;
    border-radius: calc(var(--raduis) * 0.5);
    border: 1px solid var(--border_color);
    padding: 2px;
}

.resultModal_info {
    display: flex;
    flex-direction: column;
}

.result_title {
    font-weight: 600;
    font-size: 14px;
    color: var(--primary_color);
    display: inline-block;
    margin-bottom: 5px;
}

.price_result {
    font-weight: 700;
    font-size: 14px;
    color: var(--primary_color);
}

.price_result sup {
    font-size: 15px;
    color: var(--secondary_color);
}




.ht-toggler svg {
    width: 40px;
    height: 40px;
    display: inline-block;
}

.ht-toggler .line {
    fill: none;
    stroke: var(--white_color);
    stroke-width: 6;
    transition: stroke-dasharray 600ms cubic-bezier(0.4, 0, 0.2, 1), stroke-dashoffset 600ms cubic-bezier(0.4, 0, 0.2, 1);
}

.ht-toggler .line1 {
    stroke-dasharray: 60 207;
    stroke-width: 3;
}

.ht-toggler .line2 {
    stroke-dasharray: 60 60;
    stroke-width: 3;
}

.ht-toggler .line3 {
    stroke-dasharray: 60 207;
    stroke-width: 3;
}

.ht-toggler[aria-expanded="true"] .line1 {
    stroke-dasharray: 90 207;
    stroke-dashoffset: -134;
    stroke-width: 3;
}

.ht-toggler[aria-expanded="true"] .line2 {
    stroke-dasharray: 1 60;
    stroke-dashoffset: -30;
    stroke-width: 3;
}

.ht-toggler[aria-expanded="true"] .line3 {
    stroke-dasharray: 90 207;
    stroke-dashoffset: -134;
    stroke-width: 3;
}

.listed_links_navbar{
    display: flex;
    flex-direction: column;
    gap: 10px;
}
.nav_itemlinklest{
    flex: 1;
    width: 100%;
}
.nan_link_itemlist{
    font-size: 25px;
    font-weight: 600;
    color: var(--white_color);
}
.nan_link_itemlist:hover{
    color: var(--primary_color);
}
.navbar_content_class{
    background: var(--bg_sections);
    display: flex;

    position: fixed;
    top: 0;
    max-width: 700px;
    width: 100%;
    transition: transform 0.4s, visibility 0.4s;
    will-change: transform, visibility;
    height: 100vh;
    overflow: auto;
    overflow-x: hidden !important;
    left: 0;
    transform: translateX(0);
    z-index: 99;
    padding: 3rem 1rem;
    overflow-y: auto;
}
.navbar_content_class:not(.show){
    display: flex !important;
    flex-direction: column;
    position: fixed;
    transform: translateX(-100%);
    top: 0;
    height: 100vh;
    overflow: auto;
}
.ht-toggler{
    display: flex;
    align-items: center;
    justify-content: center;
    border: 2px solid var(--secondary_color);
    border-radius: var(--raduis);
    width: 40px;
    height: 40px;
}
.btn_closenav{
    color: var(--danger_color);
    background: var(--bg_danger);
    border-color: var(--danger_color);
    position: absolute;
    top: 10px;
    right: 10px;
}
.ht-toggler:hover{
    background: var(--white_off);
}



.ht-toggler:hover .line {
    stroke: var(--primary_color);
}